ru.bitel.bgbilling.kernel.tariff.server.bean

## Class TariffGroupDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<TariffGroup>
      - - ru.bitel.bgbilling.kernel.tariff.server.bean.TariffGroupDao

- All Implemented Interfaces:
    java.lang.AutoCloseable, Directory<TariffGroup>
  Direct Known Subclasses:
    TariffGroupManager

      public class TariffGroupDao
      extends ru.bitel.common.dao.AbstractIdDao<TariffGroup>
      implements Directory<TariffGroup>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TariffGroupDao(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `deleteTariffGroup(int id)` Deprecated. use `AbstractIdDao.delete(int)`
    `TariffGroup` | `get(java.lang.String title)` Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    `protected TariffGroup` | `getFromRS(java.sql.ResultSet rs)`
    `TariffGroup` | `getTariffGroupById(int id)` Deprecated.
    `TariffGroup` | `getTariffGroupByID(int id)` Deprecated.
    `java.util.List<TariffGroup>` | `getTariffGroupList(int domainId)`
    `java.util.Map<java.lang.Integer,TariffGroup>` | `getTariffGroupMap()` Deprecated. user `Id.newMap(List)`
    `java.util.Map<java.lang.Integer,TariffGroup>` | `getTariffGroupMap(java.lang.String ids)` Возвращает карту групп тарифов и их кодов по заданным кодам групп тарифов
    `java.util.Map<java.lang.Integer,TariffGroup>` | `getTariffGroupMask()` Deprecated.
    `java.util.List<TariffGroup>` | `list()` Получение всего списка элементов из справочника
    `protected void` | `updateImpl(TariffGroup tariffGroup)`
    `void` | `updateTariffGroup(TariffGroup value)` Deprecated. use `#update(TariffGroup)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

      `delete, get, update`

- - ### Constructor Detail

    - #### TariffGroupDao

          public TariffGroupDao(java.sql.Connection con)

  - ### Method Detail

    - #### getTariffGroupList

          public java.util.List<TariffGroup> getTariffGroupList(int domainId)
                                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTariffGroupMap

          @Deprecated
          public java.util.Map<java.lang.Integer,TariffGroup> getTariffGroupMap()

      Deprecated. user `Id.newMap(List)`
      Возвращает карту групп тарифов и их кодов
      Returns:

    - #### getTariffGroupMap

          public java.util.Map<java.lang.Integer,TariffGroup> getTariffGroupMap(java.lang.String ids)

      Возвращает карту групп тарифов и их кодов по заданным кодам групп тарифов
      Parameters:
        `ids` - коды групп тарифов, перечисленные через запятую
      Returns:

    - #### getTariffGroupById

          @Deprecated
          public TariffGroup getTariffGroupById(int id)

      Deprecated.
      Возвращает группу тарифов по ее коду
      Parameters:
        `id` - код группы тарифов
      Returns:

    - #### getTariffGroupByID

          @Deprecated
          public TariffGroup getTariffGroupByID(int id)

      Deprecated.
      Использовать `AbstractIdDao.get(int)`.
      Parameters:
        `id` -
      Returns:

    - #### updateTariffGroup

          @Deprecated
          public void updateTariffGroup(TariffGroup value)

      Deprecated. use `#update(TariffGroup)`
      Обновляет группу тарифов
      Parameters:
        `value` -

    - #### deleteTariffGroup

          @Deprecated
          public void deleteTariffGroup(int id)

      Deprecated. use `AbstractIdDao.delete(int)`
      Удаляет группу тарифов по ее коду
      Parameters:
        `id` - код группы тарифов

    - #### getTariffGroupMask

          @Deprecated
          public java.util.Map<java.lang.Integer,TariffGroup> getTariffGroupMask()

      Deprecated.
      Возвращает карту групп тарифов и их кодов без загрузки самих тарифов
      Returns:

    - #### get

          public TariffGroup get(java.lang.String title)
                          throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `Directory`
      Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
      Specified by:
        `get` in interface `Directory<TariffGroup>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<TariffGroup> list()
                                           throws ru.bitel.bgbilling.common.BGException

      Description copied from interface: `Directory`
      Получение всего списка элементов из справочника
      Specified by:
        `list` in interface `Directory<TariffGroup>`
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected TariffGroup getFromRS(java.sql.ResultSet rs)
                                   throws java.sql.SQLException,
                                          ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<TariffGroup>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(TariffGroup tariffGroup)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<TariffGroup>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### close

          public void close()
                     throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `ru.bitel.common.dao.AbstractDao<TariffGroup>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`